New Search

Vulnerability in the XPCVariant::VariantDataToJS function in Mozilla Firefox 3.0.x before 3.0.15 and 3.5.x before 3.5.4

oval:org.mitre.oval:def:6565

The XPCVariant::VariantDataToJS function in the XPCOM implementation in Mozilla Firefox 3.0.x before 3.0.15 and 3.5.x before 3.5.4 does not enforce intended restrictions on interaction between chrome privileged code and objects obtained from remote web sites which allows remote attackers to execute arbitrary JavaScript with chrome privileges via unspecified method calls related to "doubly-wrapped objects."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2003
  • Microsoft Windows XP
  • Microsoft Windows 7
  • Microsoft Windows 2000
  • Microsoft Windows Vista
Class:
vulnerability
Reference(s):
  • CVE-2009-3374
Product(s):
  • Mozilla Firefox